<launch>
  <arg name="run_joystick" default="false"/>
  <arg name="namespace" default="/controllers"/>
  <arg name="model" default="$(find rover)/urdf/rover.urdf.xacro"/>
  <arg name="gui" default="true" />
  <arg name="rvizconfig" default="$(find rover)/rviz/urdf.rviz" />
  <arg name="goal_topic" default="/move_base_simple/goal" />

  <param name="robot_description" command="$(find xacro)/xacro.py $(arg model)" />
  <param name="use_gui" value="$(arg gui)"/>

  <node name="rover_velocity" pkg="rover_kinematics" type="rover_velocity" output="screen"/>
  <node name="rover_joints" pkg="rover_kinematics" type="rover_joints" output="screen"/>
  <node name="rviz" pkg="rviz" type="rviz" args="-d $(arg rvizconfig)" required="true" />

  <node pkg="robot_state_publisher" type="robot_state_publisher" name="robot_state_publisher" output="screen">
    <param name="publish_frequency" type="double" value="50.0" />
  </node>

  <node pkg="rover_kinematics" type="simple_map_tf" name="map_to_odom" output="screen"/>
  <!-- Run the goal to goal control -->
    <node pkg="rover_nav" type="simple_go_to_goal" name="go_to_goal"  output="screen" unless="$(arg run_joystick)">
        <param name="nominal_velocity" value="0.5" />
        <param name="trans_vel_gain" value="0.5" />
        <param name="rot_vel_gain" value="1.0" />

        <remap from="goal" to="$(arg goal_topic)" />
    </node>
</launch>
